package com.sqx.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserMoneyDetails;

import java.util.Map;

public interface UserMoneyDetailsService extends IService<UserMoneyDetails> {
    Result queryUserMoneyDetails(Integer page, Integer limit, Long sysUserId, Long userId, Integer classify,
                                 Integer type, Integer moneyType, Integer viewType);

    Double monthIncome(String date, Long userId);

    Map<String, Double> queryUserTotalEarning(Long userId);
}
